﻿Imports C1.C1Report
Imports C1.Win
Imports C1.Win.C1Preview
Public Class Form1
    Dim rpt As New C1Report()
    Dim ReportDef As String = "CommonTasks.xml"
    Dim ReportName As String = "01: Alternating Background (Greenbar report)"

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim rpt As New C1Report()
        rpt.Load(ReportDef, ReportName)
        For Each f As Field In rpt.Fields
            Me.ListBox1.Items.Add(f.Name)
        Next
        C1PrintPreviewControl2.Document = rpt.Document
        AddHandler C1PrintPreviewControl2.PreviewPane.PreviewPrint, AddressOf PreviewPane_PreviewPrint
    End Sub
    Private Sub PreviewPane_PreviewPrint(ByVal sender As Object, ByVal e As PreviewPrintEventArgs)
        e.Cancel = True
        Dim rpt_n As New C1Report()
        rpt_n.Load(ReportDef, ReportName)
        For Each s As String In ListBox2.Items
            rpt_n.Fields(s).Visible = False
        Next
        Dim dlg As New PrintDialog()
        dlg.PrinterSettings = rpt_n.Document.PrinterSettings
        If dlg.ShowDialog() = DialogResult.OK Then
            rpt_n.Document.Print()
        End If

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If Me.ListBox1.SelectedItem IsNot Nothing Then
            Me.ListBox2.Items.Add(Me.ListBox1.SelectedItem)
            Me.ListBox1.Items.RemoveAt(Me.ListBox1.SelectedIndex)
        Else
            MessageBox.Show("Please select a field to drop to the second listbox!!!", "ERROR", MessageBoxButtons.OKCancel)
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        If Me.ListBox2.SelectedItem IsNot Nothing Then
            Me.ListBox1.Items.Add(Me.ListBox2.SelectedItem)
            Me.ListBox2.Items.RemoveAt(Me.ListBox2.SelectedIndex)
        Else
            MessageBox.Show("Please select a field to drop back to the first listbox!!!", "ERROR", MessageBoxButtons.OKCancel)
        End If
    End Sub
End Class
